{% extends 'categorys.html' %}
{% block products %}
{% load static %}

<a  class="button_add" href="{%url 'my_app:add_product' current_category %}">
    <img src="{% static 'img/add.png' %}" alt="Add button" class="account_image" />
</a>  
{% if products_of_category %}
<div class="container mt-5 mb-5">
    <div class="d-flex justify-content-center row">
        <div class="col-md-10">
        {% for product in products_of_category %}
            <div class="row p-2 bg-white border rounded">
                <div class="col-md-3 mt-1"><img class="img-fluid img-responsive rounded product-image" src="{{ product.product_pic.url }}"></div>
                <div class="col-md-6 mt-1">
                    <h1>{{ product.name }}</h1>
                    <div class="d-flex flex-row">
                        <p class="text-success">Available items: {{ product.items }} </p>
                    </div>
                    <p class="text-justify text-truncate para mb-0">{{ product.description }}<br><br></p>
                </div>
                <div class="align-items-center align-content-center col-md-3 border-left mt-1">
                    <div class="d-flex flex-row align-items-center">
                        <h2 class="mr-1">${{ product.price }}</h2>
                    </div>
                    <h3 class="text-success">Free shipping</h3>
                    <div class="d-flex flex-column mt-4">

                        <a class="btn btn-primary btn-sm" href="{%url 'my_app:update_product' product.id%}">Modify</a>
                    </div>
                </div>
            </div>
        {% endfor %}
    </div>
  </div>
</div>
{% else %}
    <p>No Products.</p>
{% endif %}
{% endblock %}